import { createRouter, createWebHashHistory } from 'vue-router'

import HomeRoutes from './home'
import LoginRoutes from './login'

const routes = [
  ...HomeRoutes,
  ...LoginRoutes,
  {
    path: '/',
    redirect: '/home/overView'
  },
  {
    path: '/:pathMach(.*)',
    redirect: '/'
  }
]

const router = createRouter({
  history: createWebHashHistory(),
  routes
})
export default router
